Skip to content
Uranus Docs
Esc
↑↓navigate↵open⌘Jpreview

Get choosable states

Returns all states or administrative regions for the specified country.

State names are returned according to the data stored for the country. The country is selected using its country code.

If no states are found for the specified country, the endpoint returns HTTP 200 with an empty data array.

GET/api/choosable-states
Query parameters
country-codestring

Country code used to select the states or administrative regions. Defaults to an empty string.

default: ""
Responses
200

States found, or no states available for the specified country.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:200
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableStates.ChoosableStatesMetadata

Metadata returned by the choosable states endpoint.

Show properties
country_codestring

Country code used to select the states.

state_countinteger

Number of states or administrative regions returned.

min 0
response_time_msinteger

Server-side response time in milliseconds.

min 0
dataGetChoosableStates.State[]required

List of states or administrative regions.

Show properties
Array of GetChoosableStates.State
state_codestring | anyrequired

Code identifying the state or administrative region.

Show properties
Any of:
string
string
any
any
state_namestring | anyrequired

Name of the state or administrative region.

Show properties
Any of:
string
string
any
any
messagestring

Human-readable response message.

500

Internal server error.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:500
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableStates.ChoosableStatesMetadata

Metadata returned by the choosable states endpoint.

Show properties
country_codestring

Country code used to select the states.

state_countinteger

Number of states or administrative regions returned.

min 0
response_time_msinteger

Server-side response time in milliseconds.

min 0
dataany

Response payload.

Show properties
Any of:
any
any
any
any
messagestring

Human-readable response message.

Try it
Server
Parameters
Request
curl -X GET "https://api.kulturbytes.de/api/choosable-states"
Response
{
  "service": "Uranus API",
  "api_version": "1.0",
  "response_type": "choosable-states",
  "status": 200,
  "timestamp": "2026-09-20T10:09:03Z",
  "metadata": {
    "country_code": "DEU",
    "state_count": 16,
    "response_time_ms": 3
  },
  "data": [
    {
      "state_code": "BW",
      "state_name": "Baden-Württemberg"
    },
    {
      "state_code": "BY",
      "state_name": "Bayern"
    },
    {
      "state_code": "BE",
      "state_name": "Berlin"
    },
    {
      "state_code": "BB",
      "state_name": "Brandenburg"
    },
    {
      "state_code": "HB",
      "state_name": "Bremen"
    }
  ]
}